#-------------------------------------------------
#
# Project created by QtCreator 2024-01-05T00:12:20
#
#-------------------------------------------------

QT       += core gui network serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = RecordControlApplication
TEMPLATE = app

include(../../work/Example/build.pri)

LIBS += $$PWD/libs/libspdlog.a
INCLUDEPATH += $$PWD/include

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        Widget.cpp \
    TcpServer.cpp \
    TcpController.cpp \
    Channel.cpp \
    Menu.cpp\
    ProgressBar.cpp \
    Message.cpp \
    Tool.cpp \
    CheckStorageThread.cpp \
    Constant.h \
    Log.cpp

HEADERS += \
        Widget.h \
    TcpServer.h \
    TcpController.h \
    Channel.h \
    Menu.h \
    ProgressBar.h \
    Message.h \
    Tool.h \
    CheckStorageThread.h \
    Log.h

FORMS += \
    Menu.ui \
    ProgressBar.ui \
    Widget.ui

RESOURCES += \
    res.qrc
